"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = fetchNeeds;
function fetchNeeds(params, store) {

  var components = params.components;

  var needs = [];
  components.forEach(function (c) {
    return needs.push(c.needs || null);
  }, []);

  var promises = needs.map(function (need) {
    if (!need) return Promise.resolve(need);
    return need(params, store);
  });

  return Promise.all(promises);
}
module.exports = exports['default'];